Subject: RE: strange delay in date?
From: "Javier" <[email-masked]>
To: [email-masked]
Date: Wed, 29 May 2002 03:14:01 +0200
Newsgroups: gmane.os.cygwin

Hi!

I've been doing some "extra" testing (sorry if I'm beating a dead horse :),
and it seems that building a set of timezone data files and linking
/etc/localtime to them is _not_ the answer :(

I went to http://www.twinsun.com/tz/tz-link.htm, I got both tz files
( wget 'ftp://elsie.nci.nih.gov/pub/tz*.tar.gz')
and after tweaking the Makefile (setting the timezone to Europe/Madrid and
setting cc = gcc and AWK = awk instead of their settings), I did
make zones and I got a bunch of output files ('file' tells me they are
timezone data files). So I mv the output to /usr/share/zoneinfo, I do a
ln -s /usr/share/zoneinfo/Europe/Madrid /etc/localtime....
...
...
and date is still giving me the wrong output!!

So, is that change of any use, or should I stick with ""declare -x
TZ=ECT-1DST"" ? (that does work, but I was wondering if the timezone and
/etc/localtime are going to be of any use or should I just forget about
them??

Thanks a lot, and sorry if I'm just doing something stupid...

    Javier

--
----

You are nobody until you have been ignored by a cat.

"Markus Hoenicka" <[email-masked]> escribió en el mensaje
news:[email-masked]...
> The date manpage tells you that date uses the environment variable
> TZ. Set this variable in your /etc/profile or ~/.bashrc to the correct
> value.
>
> regards,
> Markus
>
> Marcos Lorenzo de Santiago writes:
>  > Thanks a lot now I know what is the problem, but I don't know how to
>  > resolve it. I know how to do it in linux, but not in cygwin (arrgh! :)
>  >
>  > In linux you just had to link /etc/localtime to
>  > /ush/share/zoneinfo/wherever_you_are and that's it, but in cygwin
there's
>  > no /usr/share/zoneinfo folder. I looked manpages but I found nothing.
>
> --
> Markus Hoenicka, PhD
> UT Houston Medical School
> Dept. of Integrative Biology and Pharmacology
> 6431 Fannin MSB4.114
> Houston, TX 77030
> (713) 500-6313, -7477
> (713) 500-7444 (fax)
> [email-masked]
> http://ourworld.compuserve.com/homepages/hoenicka_markus/
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/